Skip to content

Create a review by address via an Ethos Everywhere wallet

POST
/wallets/privy/post/review/by-address
curl --request POST \
--url https://api.ethos.network/api/v2/wallets/privy/post/review/by-address \
--header 'Content-Type: application/json' \
--cookie ethos-access-token=<ethos-access-token> \
--data '{ "score": "negative", "title": "example", "content": "example", "metadata": [], "address": "example", "waitForTxTimeoutSeconds": 5 }'

Signs and submits a review transaction for a subject address using the user’s Ethos Everywhere wallet. > ⚠️ Warning: This is a beta endpoint. It is not guaranteed to be stable and may change or break without notice.

Media typeapplication/json
object
score
required
string
Allowed values: negative neutral positive
title
required
string
>= 1 characters
content
string
>= 1 characters
metadata
Any of:
Array<object>
object
key
required
string
>= 1 characters
value
string | number | boolean
address
required

Ethereum address (0x-prefixed, 20 bytes)

string
waitForTxTimeoutSeconds

Timeout in seconds to wait for the transaction to be processed by Ethos. Defaults to 5 seconds. Set to 0 to skip waiting.

number
default: 5

Successful response

Media typeapplication/json
object
hash
required

0x-prefixed 32-byte transaction hash (keccak256)

string
review
object
id
required
number
authorProfileId
required
number
author
required
string
subject
required
string
score
required
string
Allowed values: negative neutral positive
comment
required
string
metadata
required
string
createdAt
required
number
archived
required
boolean
attestationDetails
object
account
required
string
service
required
string
reviewSlug
string

Example

{
"review": {
"score": "negative"
}
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Authorization not provided

Media typeapplication/json
Authorization not provided error (401)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}

Insufficient access

Media typeapplication/json
Insufficient access error (403)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}